=== debian/changelog ===
yorick (2.1.06+dfsg-2) unstable; urgency=low

  * Deactivate check suite on MIPS due to bug #580524.

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Thu, 06 May 2010 17:47:18 +0200

yorick (2.1.06+dfsg-1) unstable; urgency=low

  * New upstream release

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Mon, 19 Apr 2010 10:56:52 +0200

yorick (2.1.05+dfsg+cvs20100408-1) unstable; urgency=low

  * New upstream (many new functions from YETI)
  * Removed two patches applied upstream (debian/patches/mpy*)

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Thu, 08 Apr 2010 17:18:27 +0200

yorick (2.1.05+dfsg+cvs20100318-1) unstable; urgency=low

  * New upstream
  * Build additional yorick-mpy-* packages
  * Fix spelling errors in manpages

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Tue, 23 Mar 2010 16:55:43 +0100
