## yorick 2.2.01%2bdfsg

=== debian/changelog ===
yorick (2.2.01+dfsg-2) unstable; urgency=low

  * Add yorick-dbg package
  * Add Vcs-Git and Vcs-Browser control fields
  * Update list of achitectures for openmpi
  * include /usr/share/dpkg/buildflags.mk in debian/rules

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Tue, 27 Sep 2011 11:51:07 +0200

yorick (2.2.01+dfsg-1) unstable; urgency=low

  * New upstream from git repository (tagged release)
  * Fix lintian warnings (bump standards version)

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Mon, 26 Sep 2011 22:10:42 +0200

yorick (2.2.00+dfsg+cvs20100907-1) experimental; urgency=low

  * New upstream release from CVS: experimental object-oriented features.
    See http://yorick.sourceforge.net/phpBB2/viewtopic.php?t=299
  * Check against policy 3.9.1

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Wed, 08 Sep 2010 17:41:17 +0200
