=== debian/control ===
--- 
+++ 
@@ -4,9 +4,11 @@
 Maintainer: Thibaut Paumard <paumard@users.sourceforge.net>
 Build-Depends: libx11-dev, texinfo, debhelper (>= 7.0.0), quilt (>= 0.40),
  imagemagick, po-debconf, texi2html (>= 1.82), libmpich2-dev,
- libopenmpi-dev [alpha amd64 i386 ia64 powerpc ppc64 sparc kfreebsd-i386 kfreebsd-amd64 hurd-i386]
-Standards-Version: 3.8.4.0
+ libopenmpi-dev [alpha amd64 armel armhf hurd-i386 i386 ia64 kfreebsd-amd64 kfreebsd-i386 powerpc powerpcspe ppc64 sparc sparc64]
+Standards-Version: 3.9.2
 DM-Upload-Allowed: yes
+Vcs-Git: git://github.com/paumard/yorick.git
+Vcs-Browser: https://github.com/paumard/yorick
 Homepage: http://yorick.sourceforge.net
 
 Package: yorick
@@ -39,6 +41,21 @@
  .
  This package includes an emacs-based development environment, which
  you can launch by typing M-x yorick in emacs.
+
+Package: yorick-dbg
+Section: debug
+Priority: extra
+Architecture: any
+Depends: yorick (= ${binary:Version}), ${misc:Depends}
+Description: debugging symbols for Yorick
+ Yorick is an interpreted programming language for:
+  * scientific simulations or calculations
+  * postprocessing or steering large simulation codes
+  * interactive scientific graphics
+  * reading, writing, and translating large files of numbers
+ .
+ This package contains the debugging symbols for the yorick
+ executable.
 
 Package: yorick-data
 Architecture: all
@@ -83,7 +100,7 @@
  MPICH2.
 
 Package: yorick-mpy-openmpi
-Architecture: alpha amd64 i386 ia64 powerpc ppc64 sparc kfreebsd-i386 kfreebsd-amd64 hurd-i386
+Architecture: alpha amd64 armel armhf hurd-i386 i386 ia64 kfreebsd-amd64 kfreebsd-i386 powerpc powerpcspe ppc64 sparc sparc64
 Depends: yorick (= ${binary:Version}), yorick-mpy-common (= ${source:Version}),
  openmpi-bin, ${shlibs:Depends}, ${misc:Depends}
 Description: Message Passing Yorick (OpenMPI build)
