## yorick 2.2.01+dfsg

=== debian/rules ===
--- 
+++ 
@@ -10,6 +10,9 @@
 # Modified to make a template file for a multi-binary package with separated
 # build-arch and build-indep targets  by Bill Allombert 2001
 
+DPKG_EXPORT_BUILDFLAGS = 1
+-include /usr/share/dpkg/buildflags.mk
+
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
@@ -20,18 +23,6 @@
 
 # This has to be exported to make some magic below work.
 export DH_OPTIONS
-
-#CFLAGS = -Wall -g -mno-check-zero-division 
-
-#ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
-#	CFLAGS += -O0
-#else
-#	CFLAGS += -O2
-#endif
-
-#CC = gcc 
-#CFLAGS = -mno-check-zero-division
-#export CC CFLAGS
 
 check:
 	dh_testdir
@@ -51,7 +42,9 @@
 
 
 BUILDDIR=../../build/
-build: build-stamp
+build: build-arch build-indep
+build-arch: build-stamp
+build-indep: build-stamp
 build-stamp: configure-stamp 
 	dh_testdir
 	$(MAKE) install
@@ -107,11 +100,11 @@
 
 clean: configure-stamp clean-mpy
 	dh_testdir
-	dh_testroot
 	rm -Rf build-stamp configure-stamp build relocate
+	touch Make.cfg
+	$(MAKE) -C doc/html clean
 	$(MAKE) distclean
 #	$(MAKE) Y_HOME=. ysite
-	$(MAKE) -C doc/html clean
 	dh_clean
 
 # Must not depend on anything. This is to be called by
@@ -131,7 +124,8 @@
 	dh_installdebconf
 	dh_installman
 	dh_link
-	dh_strip
+	dh_strip -pyorick --dbg-package=yorick-dbg
+	dh_strip -pyorick-dev -pyorick-mpy-openmpi -pyorick-mpy-mpich2
 	dh_usrlocal
 	dh_compress 
 	dh_fixperms
@@ -151,59 +145,47 @@
 	$(MAKE) -f debian/rules DH_OPTIONS=-a binary-common
 
 ###### Getting the original source:
+Y_FULL_VERS:=$(shell dpkg-parsechangelog -l$(PATH_TO_DEBIAN)/changelog | grep Version | sed 's/Version: //' | sed 's/-[0-9].*//')
 Y_VERS:=$(shell dpkg-parsechangelog -l$(PATH_TO_DEBIAN)/changelog | grep Version | sed 's/Version: //' | sed 's/+.*//')
-CVSTAG:=y_$(shell dpkg-parsechangelog -l$(PATH_TO_DEBIAN)/changelog | grep Version | sed 's/Version: //' | sed 's/+.*//' | tr . _)
-CVSROOT:=:pserver:anonymous:@yorick.cvs.sourceforge.net:/cvsroot/yorick
-CVSDATE:=$(shell dpkg-parsechangelog -l$(PATH_TO_DEBIAN)/changelog | grep Version | sed 's/.*cvs//' | sed 's/-.*//' | awk '{ printf "%08.0f", $$1+1 }')
-CVSVERSDATE:=$(shell dpkg-parsechangelog -l$(PATH_TO_DEBIAN)/changelog | grep Version | sed 's/.*cvs//' | sed 's/-.*//')
-CVSVERS:=$(Y_VERS)+dfsg+cvs$(CVSVERSDATE).orig
-ORIG_URL:=http://dl.sourceforge.net/sourceforge/yorick/
-ORIG_TGZ:=yorick-$(Y_VERS).tgz
+GIT_TAG:=y_$(shell dpkg-parsechangelog -l$(PATH_TO_DEBIAN)/changelog | grep Version | sed 's/Version: //' | sed 's/+.*//' | tr . _)
+GIT_REPO=git://github.com/dhmunro/yorick.git
+
 # Non-DFSG-free files (see copyright):
 PRUNEFILES:=play/hacks/hack103.c i/idlsave.i opengl
 
-# Use this rule to get the original sources if the current version contains
-# "+cvsyyyymmdd". Breaks when sourceforge change their CVS access.
-#
-# WARNING: Side effect: this will use and remove the
-# directory "orig-sources" and overwrite yorick-(version).orig/
-# and yorick_(version).orig.tar.gz.
-get-cvs-date:
+# make orig.tar.bz2 from current source dir, pruning PRUNEFILES
+orig-tbz:
+	rm -Rf $(PRUNEFILES)
+	cd .. ; \
+	  mv `basename $(CURDIR)` yorick-$(Y_FULL_VERS) ; \
+	  tar cvf - yorick-$(Y_FULL_VERS) --exclude=.pc --exclude=.git \
+	    --exclude=yorick-$(Y_FULL_VERS)/debian --exclude=.gitignore \
+	    | bzip2 -9 > yorick_$(Y_FULL_VERS).orig.tar.bz2
+
+
+get-orig-source:
 	-rm -Rf ../orig-sources
 	mkdir ../orig-sources
-	cvs -d$(CVSROOT) login
-	cd ../orig-sources ; cvs -z3 -d$(CVSROOT) export -D $(CVSDATE) yorick
-	-rm -Rf ../yorick-$(CVSVERS)
-	mv ../orig-sources/yorick ../yorick-$(CVSVERS)
-	rm -Rf ../orig-sources
-	cd ../yorick-$(CVSVERS); rm -Rf $(PRUNEFILES)
-	cd ..; tar cf yorick_$(CVSVERS).tar yorick-$(CVSVERS)
-	bzip2 -9 ../yorick_$(CVSVERS).tar
-
-# check copyright to see whether was from cvs or from tgz.
-get-cvs-tag:
-	-rm -Rf ../orig-sources
-	mkdir ../orig-sources
-	cvs -d$(CVSROOT) login
-	cd ../orig-sources ; cvs -z3 -d$(CVSROOT) export -r $(CVSTAG) yorick
-	-rm -Rf ../yorick-$(CVSVERS)
+	cd ../orig-sources ; \
+	  git clone $(GIT_REPO) ; \
+	  cd yorick ; \
+	  git checkout $(GIT_TAG) ; \
+	  rm -Rf $(PRUNEFILES)
+	-rm -Rf ../yorick-$(Y_VERS)
 	mv ../orig-sources/yorick ../yorick-$(Y_VERS)+dfsg
 	rm -Rf ../orig-sources
-	cd ../yorick-$(Y_VERS)+dfsg; rm -Rf $(PRUNEFILES)
-	cd ..; tar cf yorick_$(Y_VERS)+dfsg.orig.tar yorick-$(Y_VERS)+dfsg
-	gzip -9 ../yorick_$(Y_VERS)+dfsg.orig.tar
+	cd ..; tar cf - --exclude=.git --exclude=.gitignore \
+	  yorick-$(Y_VERS)+dfsg | \
+	  bzip2 --best > yorick_$(Y_VERS)+dfsg.orig.tar.bz2
 
-get-tgz:
-	cd ..; wget $(ORIG_URL)$(ORIG_TGZ)
-	cd ..; tar xvzf $(ORIG_TGZ)
-	mv ../yorick-2.1 ../yorick-$(CVSVERS)
-	cd ../yorick-$(CVSVERS); rm -Rf $(PRUNEFILES)
-	cd ..; tar cf yorick_$(CVSVERS).tar yorick-$(CVSVERS)
-	gzip -9 ../yorick_$(CVSVERS).tar
-
-get-orig-source get-orig-sources:
-	echo "For a stable release try get-tgz or get-cvs-tag"
-	echo "for a +cvs release try get-cvs-date"
+gitclean: clean
+	-quilt pop -a
+	if test -e .pc ; then \
+	   cd .pc ; \
+	   rm .quilt_patches .quilt_series .version ; \
+	   cd .. ; rmdir .pc ; \
+	   fi
 
 binary: binary-arch binary-indep
-.PHONY: build clean binary-indep binary-arch binary configure clean-mpy
+.PHONY: build-arch build-indep build clean binary-indep binary-arch binary \
+	configure clean-mpy gitclean
